/** @type {import(".").OAuthProvider} */
export default function Spotify(options) {
  return {
    id: "spotify",
    name: "Spotify",
    type: "oauth",
    authorization: "https://accounts.spotify.com/authorize?scope=user-read-email",
    token: "https://accounts.spotify.com/api/token",
    userinfo: "https://api.spotify.com/v1/me",

    profile(profile) {
      return {
        id: profile.id,
        name: profile.display_name,
        email: profile.email,
        image: profile.images?.[0]?.url
      };
    },

    options
  };
}